VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IDHCPServer Interface Reference

The IDHCPServer interface represents the VirtualBox DHCP server configuration. More...

Inheritance diagram for IDHCPServer:

## Public Member Functions
void | addGlobalOption (in DhcpOpt option, in wstring value)
void | addVmSlotOption (in wstring vmname, in long slot, in DhcpOpt option, in wstring value)
void | removeVmSlotOptions (in wstring vmname, in long slot)
void | getVmSlotOptions (in wstring vmname, in long slot, [retval] out wstring[] option)
void | getMacOptions (in wstring mac, [retval] out wstring[] option)
void | setConfiguration (in wstring IPAddress, in wstring networkMask, in wstring FromIPAddress, in wstring ToIPAddress)
| configures the server More...
void | start (in wstring networkName, in wstring trunkName, in wstring trunkType)
| Starts DHCP server process. More...
void | stop ()
| Stops DHCP server process. More...

## Public Attributes
readonly attribute IEventSource | eventSource
attribute boolean | enabled
| specifies if the DHCP server is enabled More...
readonly attribute wstring | IPAddress
| specifies server IP More...
readonly attribute wstring | networkMask
| specifies server network mask More...
readonly attribute wstring | networkName
| specifies internal network name the server is used for More...
readonly attribute wstring | lowerIP
| specifies from IP address in server address range More...
readonly attribute wstring | upperIP
| specifies to IP address in server address range More...
readonly attribute wstring [] | globalOptions
readonly attribute wstring [] | vmConfigs

## Detailed Description

The IDHCPServer interface represents the VirtualBox DHCP server configuration.

To enumerate all the DHCP servers on the host, use the IVirtualBox::DHCPServers attribute.

Interface ID:
  `{00C8F974-92C5-44A1-8F3F-702469FDD04B}`

## Member Function Documentation

## ◆ addGlobalOption()

void IDHCPServer::addGlobalOption | ( | in DhcpOpt | option,
|  | in wstring | value
| ) |  |

## ◆ addVmSlotOption()

void IDHCPServer::addVmSlotOption | ( | in wstring | vmname,
|  | in long | slot,
|  | in DhcpOpt | option,
|  | in wstring | value
| ) |  |

## ◆ removeVmSlotOptions()

void IDHCPServer::removeVmSlotOptions | ( | in wstring | vmname,
|  | in long | slot
| ) |  |

## ◆ getVmSlotOptions()

void IDHCPServer::getVmSlotOptions | ( | in wstring | vmname,
|  | in long | slot,
|  | [retval] out wstring [] | option
| ) |  |

## ◆ getMacOptions()

void IDHCPServer::getMacOptions | ( | in wstring | mac,
|  | [retval] out wstring [] | option
| ) |  |

## ◆ setConfiguration()

void IDHCPServer::setConfiguration | ( | in wstring | IPAddress,
|  | in wstring | networkMask,
|  | in wstring | FromIPAddress,
|  | in wstring | ToIPAddress
| ) |  |

configures the server

Parameters

  IPAddress | server IP address
  networkMask | server network mask
  FromIPAddress | server From IP address for address range
  ToIPAddress | server To IP address for address range

Expected result codes:

  E_INVALIDARG | invalid configuration supplied

## ◆ start()

void IDHCPServer::start | ( | in wstring | networkName,
|  | in wstring | trunkName,
|  | in wstring | trunkType
| ) |  |

Starts DHCP server process.

Parameters

  networkName | Name of internal network DHCP server should attach to.
  trunkName | Name of internal network trunk.
  trunkType | Type of internal network trunk.

Expected result codes:

  E_FAIL | Failed to start the process.

## ◆ stop()

void IDHCPServer::stop | ( |  | ) |

Stops DHCP server process.

Expected result codes:

  E_FAIL | Failed to stop the process.

## Member Data Documentation

## ◆ eventSource

readonly attribute IEventSource IDHCPServer::eventSource

## ◆ enabled

attribute boolean IDHCPServer::enabled

specifies if the DHCP server is enabled

## ◆ IPAddress

readonly attribute wstring IDHCPServer::IPAddress

specifies server IP

## ◆ networkMask

readonly attribute wstring IDHCPServer::networkMask

specifies server network mask

## ◆ networkName

readonly attribute wstring IDHCPServer::networkName

specifies internal network name the server is used for

## ◆ lowerIP

readonly attribute wstring IDHCPServer::lowerIP

specifies from IP address in server address range

## ◆ upperIP

readonly attribute wstring IDHCPServer::upperIP

specifies to IP address in server address range

## ◆ globalOptions

readonly attribute wstring [] IDHCPServer::globalOptions

## ◆ vmConfigs

readonly attribute wstring [] IDHCPServer::vmConfigs